##########################
# Stand alone shell script
##########################
# Inputs
product_list='["cassiope-orbit-ephemeris-sp3"]'
date_list='[["2020-06-01", "2020-06-05"]]'
query=' 1 '
email='troyk@phys.ucalgary.ca'

# Calls to eDEx API

# Get the list of filenames to return. The python parses the returned JSON for the filenames and the sed call changes single quotes to double quotes.
files=`curl -s https://edex.phys.ucalgary.ca/api_fetch_data -X GET -d '{"product": '"$product_list"', "date": '"$date_list"',
  "query-logic": "'"$query"'"}' -H 'Content-Type:application/json' | python3 -c "import sys, json; print(json.load(sys.stdin)['result_filenames'])" | sed 's/'\''/"/g'`

### Insert your logic here to decide if the filename list is appropriate ###

# Ask for the files to be curated and made available for download
result=`curl -s https://edex.phys.ucalgary.ca/api_prepare_report -X POST -d '{"product": '"$product_list"', "date": '"$date_list"', "email": "'"$email"'", 
  "result_filenames": '"$files"', "query-logic": "'"$query"'"}' -H 'Content-Type:application/json'`

echo $result
